routes/web.php
<?php

Auth::routes();

Route::prefix('admin')->group( function() {
    Route::get('/order', 'AdminController@index')->name('admin.index');
    Route::post('/confirm', 'AdminController@updateConfirm')->name('admin.updateConfirm');
    Route::get('/orderdetail/{order}', 'AdminController@showOrderdetail')->name('admin.showOrderdetail');
    Route::get('/topup', 'AdminController@indexTopup')->name('admin.indexTopup');
    Route::post('/topup', 'AdminController@updateTopup')->name('admin.updateTopup');
    Route::get('/report', 'AdminController@reportIndex')->name('admin.reportIndex');
    Route::get('/memberlist', 'AdminController@memberIndex')->name('admin.memberIndex');
    Route::post('/user/{user}', 'AdminController@deleteUser')->name('admin.deleteUser');

});

Route::resource('product', 'ProductController');
Route::get('product/{slug}', 'ProductController@show')->name('product.show');

Route::get('/add-to-cart/{slug}', 'ProductController@AddToCart')->name('product.AddToCart');
Route::get('/cart', 'ProductController@GetCart')->name('product.GetCart');
Route::post('/updatecart', 'ProductController@updateCart')->name('product.updateCart');
Route::post('/destroycart/{product}', 'ProductController@destroyCart')->name('product.destroyCart');
Route::post('/checkout', 'ProductController@checkout')->name('product.checkout');
Route::get('/checkout', 'ProductController@checkoutIndex')->name('product.checkoutIndex');
Route::get('/mypurchase', 'ProductController@myPurchase')->name('product.myPurchase');
Route::get('/topup', 'ProductController@topupIndex')->name('product.topupIndex');
Route::post('/topup', 'ProductController@topupStore')->name('product.topupStore');


Route::prefix('profile')->group( function() {
    Route::get('', 'ProfileController@index')->name('profile.index');
    Route::get('/{user}', 'ProfileController@edit')->name('profile.edit');
    Route::post('/{user}', 'ProfileController@update')->name('profile.update');
});

Route::get('/report', 'ReportController@reportForm')->name('report.reportForm');
Route::post('/report', 'ReportController@reportStore')->name('report.reportStore');

app/Product.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    protected $fillable = ['title', 'description', 'price', 'image_file', 'quantity'];

    public function setTitleAttribute($value)
    {
        $this->attributes['title'] = $value;
        $this->attributes['slug'] = str_slug($value);
    }

    public function getCreatedDateAttribute()
    {
        return $this->created_at->diffForHumans();
    }

    public function getUrlAttribute()
    {
        return route('product.show', $this->slug);
    }

    public function orders()
    {
        return $this->belongsToMany(Order::class)->withPivot('quantity', 'total_cost');
    }
}

app/Http/Controllers/ProductController.php
<?php

namespace App\Http\Controllers;

use App\Product;
use App\Order;
use App\User;
use App\Cart;
use Illuminate\Http\Request;
use App\Http\Requests\StoreProductRequest;
use App\Http\Requests\StoreCheckoutRequest;
use Illuminate\Support\Facades\Storage;
use Session;

class ProductController extends Controller
{
    public function __construct() {
        $this->middleware('auth')->except(['index', 'show']);
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $keyword = $request->query('keyword');
        if ($keyword != '') {
            $products = Product::where('title', 'like', '%'.$keyword.'%')->where('title', '<>', 'topup')->orderBy('created_at', 'desc')->paginate(12);
        }else {
            $products = Product::where('title', '<>', 'topup')->orderBy('created_at', 'desc')->paginate(12);
        }
        if ($request->user())
        {
            $order = Order::firstOrNew(['user_id'=> $request->user()->id, 'status'=> 0]);
            $cart = $order->products->sum('pivot.quantity');
            if($order->checkout !== 1)
            {
                $request->session()->put('cart', $cart);
            }
        }
       
        return view('product.index', compact('products'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {

        $product = new Product();

        return view('product.create', compact('product'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(StoreProductRequest $request)
    {   
        if ($request->hasFile('image_file')) {
            $filenameWithExt = $request->file('image_file')->getClientOriginalName();
            $filename = pathinfo($filenameWithExt, PATHINFO_FILENAME);
            $extension = $request->file('image_file')->getClientOriginalExtension();
            $fileNameToStore = $filename.'_'.time().'.'.$extension;
            $path = $request->file('image_file')->storeAs('public/images', $fileNameToStore);
        }else {
            $fileNameToStore = 'noimage.png';
        }

        $product = New Product();
        $product->title = $request->title;
        $product->description = $request->description;
        $product->price = $request->price;
        $product->image_file = $fileNameToStore;

        $product->save();

        return redirect()->route('product.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function show(Product $product)
    {
        return view('product.show', compact('product'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function edit(Product $product)
    {
        return view('product.edit', compact('product'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Product $product)
    {
        $this->authorize("update", $product);
        if($request->hasFile('image_file')){
            if($product->image_file != 'noimage.png'){
                unlink('storage/images/'.$product->image_file);
            }
            $filenameWithExt = $request->file('image_file')->getClientOriginalName();
            $filename = pathinfo($filenameWithExt, PATHINFO_FILENAME);
            $extension = $request->file('image_file')->getClientOriginalExtension();
            $fileNameToStore = $filename.'_'.time().'.'.$extension;
            $path = $request->file('image_file')->storeAs('public/images', $fileNameToStore);
           
        }else {
            $fileNameToStore = $product->image_file;
        }

        $product->update([
            'title' => $request->title,
            'description' => $request->description ?? '',
            'price' => $request->price,
            'image_file' => $fileNameToStore,
        ]);

        return redirect('/product');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Product  $product
     * @return \Illuminate\Http\Response
     */
    public function destroy(Product $product)
    {
        unlink('storage/images/'.$product->image_file);
        $product->delete();

        return redirect('/product')->with('success', 'Your question has been deleted.');
    }

    public function AddToCart(Request $request)
    {
        $product = Product::where('slug', $request->slug)->first();
        $order = Order::firstOrNew(['user_id'=> $request->user()->id, 'status'=> 0, 'checkout'=>0, 'paid'=>0]);
        $order->save();
        $newQuantity = $request->quantity;
        $oldQuantity = $order->products->find($product->id) !== null ? $order->products->find($product->id)->pivot->quantity: 0;
        if ($request->quantity > $product->quantity) {
            return redirect('/product/'.$request->slug)->with('error', 'Your order have out of stock');
        }
        $quantity = $oldQuantity + $newQuantity;
      
        if ($oldQuantity > 0) {
            $order->products()->updateExistingPivot($product, [
                'quantity' => $quantity,
                'total_cost' => $quantity * $product->price
                ]);
        } else {
            $order->products()->save($product, [
                'quantity' => $quantity,
                'total_cost' => $quantity * $product->price
                ]);
        }

        $product->update(['quantity' => $product->quantity -  $newQuantity]);

        $cart = $order->products->sum('pivot.quantity') + $newQuantity;
        $request->session()->put('cart', $cart);
        $request->session()->put('current', $order->id);
  
        return redirect('/product/'.$request->slug);
    
    }

    public function GetCart(Request $request) {
        $order = Order::firstOrNew(['user_id'=> $request->user()->id, 'status'=> 0, 'checkout'=>0, 'paid'=>0]);
        if($order->checkout === 1){
            return redirect('/checkout');
        }

        $request->session()->put('order', $order);
        $carts = $order->products;

        return view('product.cart', compact('carts'));
    }

    public function updateCart(Request $request) 
    {
        $product = Product::find($request->id);
        $order = Order::firstOrNew(['user_id'=> $request->user()->id, 'status'=> 0, 'checkout'=>0, 'paid'=>0]);
        $oldQuantity = $order->products->find($product)->pivot->quantity;
        $quantity = $oldQuantity + $request->action;
        
        if ($request->action < 0) {
            $product->update(['quantity' => $product->quantity + 1]);
            $order->products()->updateExistingPivot($product, [
                'quantity' => $quantity,
                'total_cost' => $quantity * $product->price
                ]);
            $msg = ["total_cost" => $order->products->sum("pivot.total_cost") + ($product->price*$request->action),
                    "subtotal" => $order->products->find($product)->pivot->total_cost + ($product->price*$request->action),
                    "cart" => $order->products->sum('pivot.quantity') + $request->action
                ];
        }else {
            if ($product->quantity + $request->action < 0) {
                return response()->json(array('msg'=> 'Your order have out of stock'), 200);
            }else {
                $product->update(['quantity' => $product->quantity - 1]);
                $order->products()->updateExistingPivot($product, [
                    'quantity' => $quantity,
                    'total_cost' => $quantity * $product->price
                    ]);
                $msg = ["total_cost" => $order->products->sum("pivot.total_cost") + ($product->price*$request->action),
                    "subtotal" => $order->products->find($product)->pivot->total_cost + ($product->price*$request->action),
                    "cart" => $order->products->sum('pivot.quantity') + $request->action
                ];
            }
        }
        return response()->json(array('msg'=> $msg), 200);
    }

    public function destroyCart(Product $product, Request $request)
    {
        $order = Order::firstOrNew(['user_id'=> $request->user()->id, 'status'=> 0, 'checkout'=>0, 'paid'=>0]);
        $quantity = $order->products()->find($product->id)->pivot->quantity;
        $product->update(['quantity' => $product->quantity + $quantity]);
        $order->products()->detach($product);



        $cart = $order->products->sum('pivot.quantity');
        $request->session()->put('cart', $cart);

        return redirect('/cart');
    }

    public function checkout(StoreCheckoutRequest $request)
    {
        $order = Order::firstOrNew(['user_id'=> $request->user()->id, 'status'=> 0, 'checkout'=>0, 'paid'=>0]);
        $address = $request->name. " " .$request->tel." " .$request->etc ?? ""." ".$request->city. " " .$request->state. " " .$request->postcode;
        $user = User::find($request->user()->id);
        if($user->credit < $order->products->sum('pivot.total_cost')){
            return redirect('/cart')->with('error', "You don't have enough credit");
        }
        $credit = $user->credit - $order->products->sum('pivot.total_cost');
        $user->update(['credit' => $credit]);

        $order->update(['address' => $address,
        'checkout' => 1]);
        $request->session()->forget('cart');
        $request->session()->put('current', $order->id);
 
        return redirect('/checkout')->with('success', "Your question has been submitted");
    }

resources/views/product/_form.blade.php
@csrf
<div class="form-group">
    <label for="product-title">Product Title</label>
    <input type="text" name="title" value="{{ old('title', $product->title)}}" id="product-title" class="form-control {{ $errors->has('title') ? 'is-invalid' : '' }}">
    @if ($errors->has('title'))
        <div class="invalid-feedback">
            <strong>{{ $errors->first('title')}}</strong>
        </div>                            
    @endif
</div>
<div class="form-group">
    <label for="product-description">Product Detail</label>
    <textarea name="description" id="product-description" rows="10" class="form-control {{ $errors->has('description') ? 'is-invalid' : '' }}">{{ old('description', $product->description)}}</textarea>
</div>
<div class="form-group">
    <label for="price">Price</label>
    <input type="number"  class="form-control" id="price" value="{{ old('price', $product->price)}}" name="price">
    @if ($errors->has('price'))
        <div class="invalid-feedback">
            <strong>{{ $errors->first('price')}}</strong>
        </div>                            
    @endif
</div>
<div class="form-group">
    <div class="file-upload">
        <div class="image-upload-wrap">
          <input class="file-upload-input" type='file' name="image_file" value="{{ old('image_file', $product->image_file)}}" onchange="readURL(this);" accept="image/*" />
          <div class="drag-text">
            <h3>Drag and drop a file or select add Image</h3>
          </div>
        </div>
        <div class="file-upload-content">
          <img class="file-upload-image" src="/storage/images/{{$product->image_file}}" alt="your image" />
          <div class="image-title-wrap">
            <button type="button" onclick="removeUpload()" class="btn btn-outline-danger btn-lg">Remove <span class="image-title">Uploaded Image</span></button>
          </div>
        </div>
    </div>
</div>
<div class="form-group">
    <button type="submit" class="btn btn-outline-primary btn-lg"> {{ $buttonText }} </button>
</div>

resources/views/product/cart.blade.php
@extends('layouts.app')
@section('content')
<div class="container">
    <div class="col-md-12">
        <h1>Cart</h1>
    </div>
    @include('layouts._message')
    <div class="row">
            @if ($carts->isEmpty())
            <div class="col-md-12">
                <div class="d-flex justify-content-center mt-5">
                    <i class="fa fa-shopping-cart fa-5x" aria-hidden="true"></i>
                </div>
                <div class="d-flex justify-content-center">
                    <div class="mb-auto p-2">
                        <h3>Cart empty</h3>
                    </div>
                </div>
             
            </div>
            @else
                <div class="col-md-8">
                    <table class="table cart-table">
                        <thead class="black">
                            <tr>
                                <th colspan="2" class="product-name">Product</th>
                                <th>Quantity</th>
                                <th width="12%">Subtotal</th>
                                <th>&nbsp;</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($carts as $cart)
                            <tr>
                                <td>
                                    <img src="/storage/images/{{$cart->image_file}}" class="img-fluid" style="max-width: 168px;">
                                </td>
                                <td class="product-name">
                                    <div>
                                        <h4 class="text-md-left"> {{$cart->title}}</h3>
                                        <p>฿ {{ number_format($cart->price) }}</p>
                                    </div>
                                </td>
                    
                                <td>
                                    <div class="row">
                                        <div class="col-md-4 pr-1">
                                            <button type="button" class="btn btn-secondary quantity-left-minus{{$cart->id}}" data-type="minus" data-field="">
                                                <i class="fa fa-minus" aria-hidden="true"></i>
                                            </button>
                                        </div>  
                                        <div class="col-md-4 pr-0 pl-0">
                                        <input type="text" id="quantity{{$cart->id}}" name="quantity{{$cart->id}}" class="form-control input-number" value="{{$cart->pivot->quantity}}" min="1" max="100">
                                        </div>  
                                        <div class="col-md-4 pl-1">
                                            <button type="button" class="btn btn-secondary quantity-right-plus{{$cart->id}}" data-type="plus" data-field="">
                                                <i class="fa fa-plus" aria-hidden="true"></i>
                                            </button>
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <span style="color:#000000; font-weight: bold;" class="subtotal{{$cart->id}}">
                                        ฿ {{ number_format($cart->pivot->total_cost) }}
                                    </span>
                                </td>
                                <td>
                                    <form class="form-delete{{$cart->id}}" action="{{ route('product.destroyCart', $cart->slug)}}" method="post">
                                        @csrf
                                        <button type="submit" class="btn btn-danger btn-sm" data-type="plus" data-field="">
                                            <i class="fa fa-trash" aria-hidden="true"></i>
                                        </button>
                                    </form>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
                <div class="col-md-4">
                    <table class="table">
                        <tr>
                            <td>Total</td>
                            <td>
                                <span style="font-size:24px; font-weight:bold; color:black" class="total_cost">
                                    ฿ {{ number_format($carts->sum('pivot.total_cost')) }}
                                </span>
                            </td>
                        </tr>
                    </table>
                    <div class="mt-4">
                        <form action="{{ route('product.checkout') }}" method="post">
                            @csrf
                            <div class="form-group">
                                <input type="text" name="name" value="" id="name" class="form-control" placeholder="Name">
                                    <span class="text-danger">{{ $errors->first('name')}}</span>
                            </div>
                            <div class="form-group">
                                <input type="text" name="tel" value="" id="tel" class="form-control" placeholder="Tel">
                                <span class="text-danger">{{ $errors->first('tel')}}</span>
                            </div>
                            <div class="form-group">
                                <input type="text" name="state" value="" id="state" class="form-control" placeholder="State">
                            <span class="text-danger">{{ $errors->first('state')}}</span>
                            </div>
                            <div class="form-group">
                                <input type="text" name="city" value="" id="city" class="form-control" placeholder="City">
                            <span class="text-danger">{{ $errors->first('city')}}</span>
                            </div>
                            <div class="form-group">
                                <input type="text" name="postcode" value="" id="postcode" class="form-control" placeholder="Postal code">
                            <span class="text-danger">{{ $errors->first('postcode')}}</span>
                            </div>
                            <div class="form-group">
                                <input type="text" name="etc" value="" id="etc" class="form-control" placeholder="Building, Street and etc...">
                            </div>
                            <div class="form-group">
                                <button type="submit" class="btn btn-danger btn-block">Checkout</button>
                            </div>
                        </form>
                    </div>
            @endif
           
        </div>
    </div>
</div>
@endsection
@section('js')
<script type="text/javascript">
    $(document).ready(function(){
        @foreach ($carts as $cart)
            var quantitiy{{$cart->id}}=0;
            $('.quantity-right-plus{{$cart->id}}').click(function(e){
                    // Stop acting like a button
                    e.preventDefault();
                    // Get the field name
                    var quantity{{$cart->id}} = parseInt($('#quantity{{$cart->id}}').val());
                    // If is not undefined
                        // Increment
                            $.ajax({
                                url : "{{ route('product.updateCart') }}",
                                type : "POST",
                                data : {
                                        id : {{$cart->id}},
                                        action : 1,
                                },
                                headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                                }, 
                                success : function(data) {
                                    if (data.msg.total_cost) {
                                        $(".total_cost").text("฿ " + data.msg.total_cost.toLocaleString("en"));
                                        $(".subtotal{{$cart->id}}").text("฿ " + data.msg.subtotal.toLocaleString("en"));
                                        $(".cart-badge").text(data.msg.cart);
                                        $('#quantity{{$cart->id}}').val(quantity{{$cart->id}} + 1);
                                    }
                                    },
                                })
                            });
                $('.quantity-left-minus{{$cart->id}}').click(function(e){
                    // Stop acting like a button
                    e.preventDefault();
                    // Get the field name
                    var quantity{{$cart->id}} = parseInt($('#quantity{{$cart->id}}').val());
                    // If is not undefined
                        // Increment
                        if (quantity{{$cart->id}} >1 ){
                        $.ajax({
                            url : "{{ route('product.updateCart') }}",
                            type : "POST",
                            data : {
                                    id : {{$cart->id}},
                                    action : -1,
                            },
                            headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            }, 
                            success : function(data) {
                                if (data.msg.total_cost) {
                                    $(".total_cost").text("฿ " + data.msg.total_cost.toLocaleString("en"));
                                    $(".subtotal{{$cart->id}}").text("฿ " + data.msg.subtotal.toLocaleString("en"));
                                    $(".cart-badge").text(data.msg.cart);
                                    if(quantity{{$cart->id}}>1){
                                        $('#quantity{{$cart->id}}').val(quantity{{$cart->id}} - 1);
                                    }
                                }
                            },
                        })
                    }

                });
        @endforeach
    });
   
</script>
@endsection

resources/views/product/create.blade.php
@extends('layouts.app')

@section('style')
<link href="{{ asset('/css/dragAndDropfile.css') }}" rel="stylesheet">
@endsection

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                  <div class="d-flex align-item-center">
                    <h2>Create Product</h2>
                    <div class="ml-auto">
                    <a href="{{ route('product.index') }}" class="btn btn-outline-secondary"> Back to Product</a>
                    </div>
                  </div>
                  
                </div>
                <div class="card-body">
                <form action="{{ route('product.store')}}" method="post" enctype="multipart/form-data">
                    @include('product._form', ['buttonText' => 'Create'])
                </form>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
@section('js')
<script src="{{ asset('js/dragAndDropfile.js') }}" defer></script>

resources/views/product/edit.blade.php
@extends('layouts.app')

@section('style')
<link href="{{ asset('/css/dragAndDropfile.css') }}" rel="stylesheet">
@endsection

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                  <div class="d-flex align-item-center">
                    <h2>Create Product</h2>
                    <div class="ml-auto">
                    <a href="{{ route('product.index') }}" class="btn btn-outline-secondary"> Back to Product</a>
                    </div>
                  </div>
                  
                </div>
                <div class="card-body">
                <form action="{{ route('product.update', $product->slug)}}" method="post" enctype="multipart/form-data">
                    {{ method_field('PUT') }}
                    @include('product._form', ['buttonText' => 'Update'])
                </form>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
@section('js')
<script src="{{ asset('js/dragAndDropfile.js') }}" defer></script>

resources/views/product/index.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
  <div class="col-md-12 mb-4">
    <div class="d-flex align-item-center">
      <h2>All Product</h2>
      <form class="form-inline ml-auto">
        <input class="form-control mr-sm-2" name="keyword" value="{{Request::query('keyword')}}" type="text" placeholder="Search" aria-label="Search">
        <button class="btn btn-secondary my-0" type="submit">Search</button>
      </form>
      @can('create', App\Product::class)
        <div class="ml-auto">
          <a href="{{ route('product.create') }}" class="btn btn-outline-secondary"> Create Product</a>
        </div>
      @endcan
      
    </div>
  </div>
  <div class="row">
  @foreach ($products as $product)
  <div class="col-lg-3 col-md-3 mb-4">
    <div class="card h-100">
        <img src="/storage/images/{{$product->image_file}}" class="card-img-top" height="260.5px">
          <div class="card-body">
              <div class="card-title">
                <h5 class="mt-0"> <a href="{{ $product->url }}"> {{ $product->title}}</a>  </h5>
              </div>
              <p>
              {{ str_limit($product->description, 50) }}
              </p>
              <small class="text-muted">฿ {{ number_format($product->price) }} </small>
          </div>
          @can('update', $product)
            <div class="card-footer">
              <div class="m-auto">
                <a href="{{ route('product.edit', $product->slug)}}" class="btn btn-sm btn-outline-info"> Edit</a>
                <form class="form-delete" action="{{ route('product.destroy', $product->slug)}}" method="post">
                  @csrf
                  @method('DELETE')
                  <button type="submit" class="btn btn-sm btn-outline-danger" onclick="return confirm('Are you sure?')">Delete</button>
                </form>
              </div>
            </div>
          @endcan
      </div>
    </div>
    @endforeach
  </div>
  <div class="text-center">
    {{ $products->links() }}
  </div>
</div>
@endsection

resources/views/product/topup.blade.php
@extends('layouts.app')

@section('style')
@endsection

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                  <div class="d-flex align-item-center">
                    <h2>Top-up</h2>
                  </div>
                  
                </div>
                <div class="card-body">
                <form action="{{ route('product.topupStore')}}" method="post">
                    @csrf
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="product-title">Top Up Amount(฿)</label>
                            <input type="text" name="credit" id="product-title" class="form-control" placeholder="1000">
                        </div>
                        <div class="d-flex justify-content-end">
                            <button type="submit" class="btn btn-orange btn-lg btn-block"> Submit </button>
                        </div>
                    </div>
                </form>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
@section('js')